summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-10-02 14:06:09 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-10-02 14:10:31 +0200
commit0b3795e0915f8ffe540cd5f8dec7da57cff08377 (patch)
tree53d2776f1fcad662e20a368509935087bdc72752
parentnet-misc/fatrat: Drop unused description (diff)
downloadgentoo-0b3795e0915f8ffe540cd5f8dec7da57cff08377.tar.gz
gentoo-0b3795e0915f8ffe540cd5f8dec7da57cff08377.tar.bz2
gentoo-0b3795e0915f8ffe540cd5f8dec7da57cff08377.zip
dev-db/etcd: Version bump to 3.2.8
Package-Manager: Portage-2.3.10, Repoman-2.3.3
-rw-r--r--dev-db/etcd/Manifest1
-rw-r--r--dev-db/etcd/etcd-3.2.8.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index ff6ec3f2e7c..79e2aef3931 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -2,3 +2,4 @@ DIST etcd-2.3.8.tar.gz 2206562 SHA256 6a138b2005e42b0961a12886cc641b792e991cd631
DIST etcd-3.0.17.tar.gz 2208002 SHA256 c56c68a8cd5d120a51432f3a79a2c19082a6824493e4bb08c4e440aefbf73d8f SHA512 6eb6a61210f225b6fe7e911ad135e5014f80f71a04adccc3f382ca7b5e1b1b692b12dde26335ecac176cb8b8f4586732cb6e650b32730ec68ef7fbcbba7ab160 WHIRLPOOL 102dc47d120a1f4173b67168e5e51f64025da280ca41161131a6bd2ef9521605ef19e03166848f6c32862a3adbfc0a026f547dc7764018e85f6ac28f89c8d256
DIST etcd-3.1.10.tar.gz 2532936 SHA256 22b25185571cf72409d35e28b9f15ea12cef02cffb552bc4efb7b74ffb62c0e7 SHA512 feb0745c2377248f9ad62359fbd6c2f0b3afbd94f89919963edf56965c98b5666f7b24fcf698599b35483b89b773dcbd647696eabc0436db6a88c68dbfc6dd6b WHIRLPOOL 0c922f1114753e126063689ebe722db59dace7715f7631ec6ca2f92438c405d9184bdebe277f2b808f5194bf2cf42904180bc7b80da051941ee3db2620b82ab7
DIST etcd-3.2.7.tar.gz 2886948 SHA256 b91a40102b944ba8e4dad439721c7068eccbc1d0cb0e7f2ded9dad134d2875ce SHA512 75d602d985d829455e7a10a0b347336104a0b8320949a73abd7963b08ab095e9b7cff58999ed2d365b965ba49705dff5e056e61e9a5018970a49e68278701618 WHIRLPOOL 6293415746bd6e4b943694d8a067acce59cb2850791fcef8e1a858a5b7199b9e7281228448783f1540be956e795a7a8fc729a6a4fe406b28cb1dfd5102b81cc7
+DIST etcd-3.2.8.tar.gz 2889040 SHA256 800dff80c28fdcf753d8819f0a531ad974742e204489ad0050e2601fd1379ee8 SHA512 7ef172e4e864ccfe07a3f93e31ef77fe9e225e30ca49ecda85038c36f775def0c2633c998fe840cfd665ac912c00ba238a3ded09cff616c1e7faae0dbd5d4152 WHIRLPOOL 4d8d8d2177c2d0cc90377872a8bb8e3a810b5770fba4b43acbd83bbd76f7dd8fdcae2f6403b1d6245dd8fb1b28a5003f2a0acc0c8a963c8bf6ade66196117fe4
diff --git a/dev-db/etcd/etcd-3.2.8.ebuild b/dev-db/etcd/etcd-3.2.8.ebuild
new file mode 100644
index 00000000000..9de03c3233b
--- /dev/null
+++ b/dev-db/etcd/etcd-3.2.8.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/coreos/etcd"
+DESCRIPTION="Highly-available key value store for shared configuration and service discovery"
+HOMEPAGE="https://github.com/coreos/etcd"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc"
+DEPEND=">=dev-lang/go-1.8:="
+RDEPEND="!dev-db/etcdctl"
+
+src_prepare() {
+ default
+ sed -e 's|GIT_SHA=.*|GIT_SHA=v${PV}|'\
+ -i "${S}"/src/${EGO_PN}/build || die
+}
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_compile() {
+ export GOPATH=${S}
+ pushd src/${EGO_PN} || die
+ ./build || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ insinto /etc/${PN}
+ doins "${FILESDIR}/${PN}.conf"
+ dobin bin/*
+ dodoc README.md
+ use doc && dodoc -r Documentation
+ systemd_dounit "${FILESDIR}/${PN}.service"
+ systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d.conf" ${PN}.conf
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+ dodir /var/lib/${PN}
+ fowners ${PN}:${PN} /var/lib/${PN}
+ fperms 755 /var/lib/${PN}
+ dodir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+ fperms 755 /var/log/${PN}
+ popd || die
+}
+
+src_test() {
+ pushd src/${EGO_PN} || die
+ ./test || die
+ popd || die
+}